package com.ssj.bean.sys.award.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_award_activity")
public class AwardActivity extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	
	private String merchantId;
	
	private String title;
	
	private Integer portNum;
	
	private Integer partakeNum;
	
	private String img;
	
	private String level1MaterialId;
	
	private String level2MaterialId;
	
	private String level3MaterialId; 
	
	private Integer level1Num; 
	
	private Integer level2Num;

	private Integer level3Num;
	
	private Integer status;
	
	private Date createTime;
	
	private Date updateTime;
	
	private String remarks;
	
	private Integer isRedis;

	public String getMerchantId() {
		return merchantId;
	}

	public void setMerchantId(String merchantId) {
		this.merchantId = merchantId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getPartakeNum() {
		return partakeNum;
	}

	public void setPartakeNum(Integer partakeNum) {
		this.partakeNum = partakeNum;
	}

	@Column(name = "level1_material_id")
	public String getLevel1MaterialId() {
		return level1MaterialId;
	}

	public void setLevel1MaterialId(String level1MaterialId) {
		this.level1MaterialId = level1MaterialId;
	}

	@Column(name = "level2_material_id")
	public String getLevel2MaterialId() {
		return level2MaterialId;
	}

	public void setLevel2MaterialId(String level2MaterialId) {
		this.level2MaterialId = level2MaterialId;
	}

	@Column(name = "level3_material_id")
	public String getLevel3MaterialId() {
		return level3MaterialId;
	}

	public void setLevel3MaterialId(String level3MaterialId) {
		this.level3MaterialId = level3MaterialId;
	}

	@Column(name = "level1_num")
	public Integer getLevel1Num() {
		return level1Num;
	}

	public void setLevel1Num(Integer level1Num) {
		this.level1Num = level1Num;
	}
	
	@Column(name = "level2_num")
	public Integer getLevel2Num() {
		return level2Num;
	}

	public void setLevel2Num(Integer level2Num) {
		this.level2Num = level2Num;
	}

	@Column(name = "level3_num")
	public Integer getLevel3Num() {
		return level3Num;
	}

	public void setLevel3Num(Integer level3Num) {
		this.level3Num = level3Num;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getPortNum() {
		return portNum;
	}

	public void setPortNum(Integer portNum) {
		this.portNum = portNum;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public Integer getIsRedis() {
		return isRedis;
	}

	public void setIsRedis(Integer isRedis) {
		this.isRedis = isRedis;
	}
	


	
}
